### Struct

# FwupdPlugin StructUswid

#### Description

    struct FuStructUswid {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_uswid_new

No description available.

###### fu_struct_uswid_parse_stream

No description available.

###### fu_struct_uswid_validate_stream

No description available.

#### Instance methods

###### fu_struct_uswid_get_compression

No description available.

###### fu_struct_uswid_get_flags

No description available.

###### fu_struct_uswid_get_hdrsz

No description available.

###### fu_struct_uswid_get_hdrver

No description available.

###### fu_struct_uswid_get_payloadsz

No description available.

###### fu_struct_uswid_ref

No description available.

###### fu_struct_uswid_set_compression

No description available.

###### fu_struct_uswid_set_flags

No description available.

###### fu_struct_uswid_set_hdrsz

No description available.

###### fu_struct_uswid_set_hdrver

No description available.

###### fu_struct_uswid_set_payloadsz

No description available.

###### fu_struct_uswid_unref

No description available.